Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbPrimitiveArrayElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbPrimitiveArrayElement

    public class JaxbPrimitiveArrayElement

extends Object

Java class for primitive-array-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="primitive-array-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="cache" type="{http://www.hibernate.org/xsd/hibernate-mapping}cache-element" minOccurs="0"/>
             <element name="synchronize" type="{http://www.hibernate.org/xsd/hibernate-mapping}synchronize-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="comment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="key" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-element"/>
             <choice>
               <element name="index" type="{http://www.hibernate.org/xsd/hibernate-mapping}index-element"/>
               <element name="list-index" type="{http://www.hibernate.org/xsd/hibernate-mapping}list-index-element"/>
             </choice>
             <element name="element" type="{http://www.hibernate.org/xsd/hibernate-mapping}element-element"/>
             <element name="loader" type="{http://www.hibernate.org/xsd/hibernate-mapping}loader-element" minOccurs="0"/>
             <element name="sql-insert" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-insert-element" minOccurs="0"/>
             <element name="sql-update" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-update-element" minOccurs="0"/>
             <element name="sql-delete" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-delete-element" minOccurs="0"/>
             <element name="sql-delete-all" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-delete-all-element" minOccurs="0"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="catalog" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="check" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="collection-type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="embed-xml" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="fetch" type="{http://www.hibernate.org/xsd/hibernate-mapping}fetch-attribute-with-subselect" />
           <attribute name="mutable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="optimistic-lock" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="outer-join" type="{http://www.hibernate.org/xsd/hibernate-mapping}outer-join-attribute" />
           <attribute name="persister" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="schema" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="table" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="where" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected String` | `batchSize`
`protected JaxbCacheElement` | `cache`
`protected String` | `catalog`
`protected String` | `check`
`protected String` | `collectionType`
`protected String` | `comment`
`protected JaxbElementElement` | `element`
`protected Boolean` | `embedXml`
`protected JaxbFetchAttributeWithSubselect` | `fetch`
`protected JaxbIndexElement` | `index`
`protected JaxbKeyElement` | `key`
`protected JaxbListIndexElement` | `listIndex`
`protected JaxbLoaderElement` | `loader`
`protected List<JaxbMetaElement>` | `meta`
`protected Boolean` | `mutable`
`protected String` | `name`
`protected String` | `node`
`protected Boolean` | `optimisticLock`
`protected JaxbOuterJoinAttribute` | `outerJoin`
`protected String` | `persister`
`protected String` | `schema`
`protected JaxbSqlDeleteElement` | `sqlDelete`
`protected JaxbSqlDeleteAllElement` | `sqlDeleteAll`
`protected JaxbSqlInsertElement` | `sqlInsert`
`protected JaxbSqlUpdateElement` | `sqlUpdate`
`protected String` | `subselect`
`protected String` | `subselectAttribute`
`protected List<JaxbSynchronizeElement>` | `synchronize`
`protected String` | `table`
`protected String` | `where`

Constructor Summary
`JaxbPrimitiveArrayElement()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`String` | `getBatchSize()` Gets the value of the batchSize property.
`JaxbCacheElement` | `getCache()` Gets the value of the cache property.
`String` | `getCatalog()` Gets the value of the catalog property.
`String` | `getCheck()` Gets the value of the check property.
`String` | `getCollectionType()` Gets the value of the collectionType property.
`String` | `getComment()` Gets the value of the comment property.
`JaxbElementElement` | `getElement()` Gets the value of the element property.
`JaxbFetchAttributeWithSubselect` | `getFetch()` Gets the value of the fetch property.
`JaxbIndexElement` | `getIndex()` Gets the value of the index property.
`JaxbKeyElement` | `getKey()` Gets the value of the key property.
`JaxbListIndexElement` | `getListIndex()` Gets the value of the listIndex property.
`JaxbLoaderElement` | `getLoader()` Gets the value of the loader property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`JaxbOuterJoinAttribute` | `getOuterJoin()` Gets the value of the outerJoin property.
`String` | `getPersister()` Gets the value of the persister property.
`String` | `getSchema()` Gets the value of the schema property.
`JaxbSqlDeleteElement` | `getSqlDelete()` Gets the value of the sqlDelete property.
`JaxbSqlDeleteAllElement` | `getSqlDeleteAll()` Gets the value of the sqlDeleteAll property.
`JaxbSqlInsertElement` | `getSqlInsert()` Gets the value of the sqlInsert property.
`JaxbSqlUpdateElement` | `getSqlUpdate()` Gets the value of the sqlUpdate property.
`String` | `getSubselect()` Gets the value of the subselect property.
`String` | `getSubselectAttribute()` Gets the value of the subselectAttribute property.
`List<JaxbSynchronizeElement>` | `getSynchronize()` Gets the value of the synchronize property.
`String` | `getTable()` Gets the value of the table property.
`String` | `getWhere()` Gets the value of the where property.
`boolean` | `isEmbedXml()` Gets the value of the embedXml property.
`boolean` | `isMutable()` Gets the value of the mutable property.
`boolean` | `isOptimisticLock()` Gets the value of the optimisticLock property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setBatchSize(String value)` Sets the value of the batchSize property.
`void` | `setCache(JaxbCacheElement value)` Sets the value of the cache property.
`void` | `setCatalog(String value)` Sets the value of the catalog property.
`void` | `setCheck(String value)` Sets the value of the check property.
`void` | `setCollectionType(String value)` Sets the value of the collectionType property.
`void` | `setComment(String value)` Sets the value of the comment property.
`void` | `setElement(JaxbElementElement value)` Sets the value of the element property.
`void` | `setEmbedXml(Boolean value)` Sets the value of the embedXml property.
`void` | `setFetch(JaxbFetchAttributeWithSubselect value)` Sets the value of the fetch property.
`void` | `setIndex(JaxbIndexElement value)` Sets the value of the index property.
`void` | `setKey(JaxbKeyElement value)` Sets the value of the key property.
`void` | `setListIndex(JaxbListIndexElement value)` Sets the value of the listIndex property.
`void` | `setLoader(JaxbLoaderElement value)` Sets the value of the loader property.
`void` | `setMutable(Boolean value)` Sets the value of the mutable property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setOptimisticLock(Boolean value)` Sets the value of the optimisticLock property.
`void` | `setOuterJoin(JaxbOuterJoinAttribute value)` Sets the value of the outerJoin property.
`void` | `setPersister(String value)` Sets the value of the persister property.
`void` | `setSchema(String value)` Sets the value of the schema property.
`void` | `setSqlDelete(JaxbSqlDeleteElement value)` Sets the value of the sqlDelete property.
`void` | `setSqlDeleteAll(JaxbSqlDeleteAllElement value)` Sets the value of the sqlDeleteAll property.
`void` | `setSqlInsert(JaxbSqlInsertElement value)` Sets the value of the sqlInsert property.
`void` | `setSqlUpdate(JaxbSqlUpdateElement value)` Sets the value of the sqlUpdate property.
`void` | `setSubselect(String value)` Sets the value of the subselect property.
`void` | `setSubselectAttribute(String value)` Sets the value of the subselectAttribute property.
`void` | `setTable(String value)` Sets the value of the table property.
`void` | `setWhere(String value)` Sets the value of the where property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### subselect

    protected String subselect

### cache

    protected JaxbCacheElement cache

### synchronize

    protected List<JaxbSynchronizeElement> synchronize

### comment

    protected String comment

### key

    protected JaxbKeyElement key

### index

    protected JaxbIndexElement index

### listIndex

    protected JaxbListIndexElement listIndex

### element

    protected JaxbElementElement element

### loader

    protected JaxbLoaderElement loader

### sqlInsert

    protected JaxbSqlInsertElement sqlInsert

### sqlUpdate

    protected JaxbSqlUpdateElement sqlUpdate

### sqlDelete

    protected JaxbSqlDeleteElement sqlDelete

### sqlDeleteAll

    protected JaxbSqlDeleteAllElement sqlDeleteAll

### access

    protected String access

### batchSize

    protected String batchSize

### catalog

    protected String catalog

### check

    protected String check

### collectionType

    protected String collectionType

### embedXml

    protected Boolean embedXml

### fetch

    protected JaxbFetchAttributeWithSubselect fetch

### mutable

    protected Boolean mutable

### name

    protected String name

### node

    protected String node

### optimisticLock

    protected Boolean optimisticLock

### outerJoin

    protected JaxbOuterJoinAttribute outerJoin

### persister

    protected String persister

### schema

    protected String schema

### subselectAttribute

    protected String subselectAttribute

### table

    protected String table

### where

    protected String where

Constructor Detail

### JaxbPrimitiveArrayElement

    public JaxbPrimitiveArrayElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getSubselect

    public String getSubselect()

  Gets the value of the subselect property.

  Returns:
    possible object is `String`

### setSubselect

    public void setSubselect(String value)

  Sets the value of the subselect property.

  Parameters:
    `value` - allowed object is `String`

### getCache

    public JaxbCacheElement getCache()

  Gets the value of the cache property.

  Returns:
    possible object is `JaxbCacheElement`

### setCache

    public void setCache(JaxbCacheElement value)

  Sets the value of the cache property.

  Parameters:
    `value` - allowed object is `JaxbCacheElement`

### getSynchronize

    public List<JaxbSynchronizeElement> getSynchronize()

  Gets the value of the synchronize property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the synchronize property.

  For example, to add a new item, do as follows:

          getSynchronize().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSynchronizeElement`

### getComment

    public String getComment()

  Gets the value of the comment property.

  Returns:
    possible object is `String`

### setComment

    public void setComment(String value)

  Sets the value of the comment property.

  Parameters:
    `value` - allowed object is `String`

### getKey

    public JaxbKeyElement getKey()

  Gets the value of the key property.

  Returns:
    possible object is `JaxbKeyElement`

### setKey

    public void setKey(JaxbKeyElement value)

  Sets the value of the key property.

  Parameters:
    `value` - allowed object is `JaxbKeyElement`

### getIndex

    public JaxbIndexElement getIndex()

  Gets the value of the index property.

  Returns:
    possible object is `JaxbIndexElement`

### setIndex

    public void setIndex(JaxbIndexElement value)

  Sets the value of the index property.

  Parameters:
    `value` - allowed object is `JaxbIndexElement`

### getListIndex

    public JaxbListIndexElement getListIndex()

  Gets the value of the listIndex property.

  Returns:
    possible object is `JaxbListIndexElement`

### setListIndex

    public void setListIndex(JaxbListIndexElement value)

  Sets the value of the listIndex property.

  Parameters:
    `value` - allowed object is `JaxbListIndexElement`

### getElement

    public JaxbElementElement getElement()

  Gets the value of the element property.

  Returns:
    possible object is `JaxbElementElement`

### setElement

    public void setElement(JaxbElementElement value)

  Sets the value of the element property.

  Parameters:
    `value` - allowed object is `JaxbElementElement`

### getLoader

    public JaxbLoaderElement getLoader()

  Gets the value of the loader property.

  Returns:
    possible object is `JaxbLoaderElement`

### setLoader

    public void setLoader(JaxbLoaderElement value)

  Sets the value of the loader property.

  Parameters:
    `value` - allowed object is `JaxbLoaderElement`

### getSqlInsert

    public JaxbSqlInsertElement getSqlInsert()

  Gets the value of the sqlInsert property.

  Returns:
    possible object is `JaxbSqlInsertElement`

### setSqlInsert

    public void setSqlInsert(JaxbSqlInsertElement value)

  Sets the value of the sqlInsert property.

  Parameters:
    `value` - allowed object is `JaxbSqlInsertElement`

### getSqlUpdate

    public JaxbSqlUpdateElement getSqlUpdate()

  Gets the value of the sqlUpdate property.

  Returns:
    possible object is `JaxbSqlUpdateElement`

### setSqlUpdate

    public void setSqlUpdate(JaxbSqlUpdateElement value)

  Sets the value of the sqlUpdate property.

  Parameters:
    `value` - allowed object is `JaxbSqlUpdateElement`

### getSqlDelete

    public JaxbSqlDeleteElement getSqlDelete()

  Gets the value of the sqlDelete property.

  Returns:
    possible object is `JaxbSqlDeleteElement`

### setSqlDelete

    public void setSqlDelete(JaxbSqlDeleteElement value)

  Sets the value of the sqlDelete property.

  Parameters:
    `value` - allowed object is `JaxbSqlDeleteElement`

### getSqlDeleteAll

    public JaxbSqlDeleteAllElement getSqlDeleteAll()

  Gets the value of the sqlDeleteAll property.

  Returns:
    possible object is `JaxbSqlDeleteAllElement`

### setSqlDeleteAll

    public void setSqlDeleteAll(JaxbSqlDeleteAllElement value)

  Sets the value of the sqlDeleteAll property.

  Parameters:
    `value` - allowed object is `JaxbSqlDeleteAllElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getBatchSize

    public String getBatchSize()

  Gets the value of the batchSize property.

  Returns:
    possible object is `String`

### setBatchSize

    public void setBatchSize(String value)

  Sets the value of the batchSize property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getCheck

    public String getCheck()

  Gets the value of the check property.

  Returns:
    possible object is `String`

### setCheck

    public void setCheck(String value)

  Sets the value of the check property.

  Parameters:
    `value` - allowed object is `String`

### getCollectionType

    public String getCollectionType()

  Gets the value of the collectionType property.

  Returns:
    possible object is `String`

### setCollectionType

    public void setCollectionType(String value)

  Sets the value of the collectionType property.

  Parameters:
    `value` - allowed object is `String`

### isEmbedXml

    public boolean isEmbedXml()

  Gets the value of the embedXml property.

  Returns:
    possible object is `Boolean`

### setEmbedXml

    public void setEmbedXml(Boolean value)

  Sets the value of the embedXml property.

  Parameters:
    `value` - allowed object is `Boolean`

### getFetch

    public JaxbFetchAttributeWithSubselect getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchAttributeWithSubselect`

### setFetch

    public void setFetch(JaxbFetchAttributeWithSubselect value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchAttributeWithSubselect`

### isMutable

    public boolean isMutable()

  Gets the value of the mutable property.

  Returns:
    possible object is `Boolean`

### setMutable

    public void setMutable(Boolean value)

  Sets the value of the mutable property.

  Parameters:
    `value` - allowed object is `Boolean`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### isOptimisticLock

    public boolean isOptimisticLock()

  Gets the value of the optimisticLock property.

  Returns:
    possible object is `Boolean`

### setOptimisticLock

    public void setOptimisticLock(Boolean value)

  Sets the value of the optimisticLock property.

  Parameters:
    `value` - allowed object is `Boolean`

### getOuterJoin

    public JaxbOuterJoinAttribute getOuterJoin()

  Gets the value of the outerJoin property.

  Returns:
    possible object is `JaxbOuterJoinAttribute`

### setOuterJoin

    public void setOuterJoin(JaxbOuterJoinAttribute value)

  Sets the value of the outerJoin property.

  Parameters:
    `value` - allowed object is `JaxbOuterJoinAttribute`

### getPersister

    public String getPersister()

  Gets the value of the persister property.

  Returns:
    possible object is `String`

### setPersister

    public void setPersister(String value)

  Sets the value of the persister property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### getSubselectAttribute

    public String getSubselectAttribute()

  Gets the value of the subselectAttribute property.

  Returns:
    possible object is `String`

### setSubselectAttribute

    public void setSubselectAttribute(String value)

  Sets the value of the subselectAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public String getTable()

  Gets the value of the table property.

  Returns:
    possible object is `String`

### setTable

    public void setTable(String value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `String`

### getWhere

    public String getWhere()

  Gets the value of the where property.

  Returns:
    possible object is `String`

### setWhere

    public void setWhere(String value)

  Sets the value of the where property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.